export const locales = {
    en: {
        settings: {
            active: "Active",
            "api-user-name": "Username",
            "api-user-pass": "Password",
            environment: {
                label: "Environment",
                dev: "Development",
                acc: "Acceptance",
                prod: "Production",
            },
            save: "Save",
            "save-success-title": "Settings saved",
            "save-error-title": "Error saving settings",
        },
        content: {
            title: "Contact Vehicle",
            "generate-message": "Generate message",
            "message-maintenance":
                "Dear {contactName},\n\nYour {vehicleName} is due for some maintenance. Please contact {manufacturer} for an appointment.\n\nRegards,\n{agentName}",
            "message-generated": "Message generated",
            vehicle: {
                name: "Name",
                model: "Model",
                class: "Starship Class",
                manufacturer: "Manufacturer",
                "cost-in-credits": "Cost",
                length: "Length",
                "max-speed": "Max. speed",
                crew: "Crew",
                passengers: "Passengers",
                "cargo-capacity": "Cargo",
                "hyperdrive-rating": "Hyperdrive Rating",
                mglt: "Megalight per hour",
            },
        },
    },
    nl: {
        settings: {
            active: "Actief",
            "api-user-name": "Gebruikersnaam",
            "api-user-pass": "Wachtwoord",
            environment: {
                label: "Environment",
                dev: "Development",
                acc: "Acceptance",
                prod: "Production",
            },
            save: "Opslaan",
            "save-success-title": "Settings opgeslagen",
            "save-error-title": "Fout bij opslaan settings",
        },
        content: {
            title: "Voertuig contact",
            "generate-message": "Genereer bericht",
            "message-maintenance":
                "Beste {contactName},\n\nUw voertuig {vehicleName} is toe aan wat onderhoud. Neem contact op met {manufacturer} voor een afspraak.\n\nGroet,\n{agentName}",
            "message-generated": "Message generated",
            vehicle: {
                name: "Name",
                model: "Model",
                class: "Starship Class",
                manufacturer: "Manufacturer",
                "cost-in-credits": "Cost",
                length: "Length",
                "max-speed": "Max. speed",
                crew: "Crew",
                passengers: "Passengers",
                "cargo-capacity": "Cargo",
                "hyperdrive-rating": "Hyperdrive Rating",
                mglt: "Megalight per hour",
            },
        },
    },
    es: {
        settings: {
            active: "Activo",
            "api-user-name": "Username",
            "api-user-pass": "Password",
            environment: {
                label: "Environment",
                dev: "Development",
                acc: "Acceptance",
                prod: "Production",
            },
            save: "Ahorrar",
            "save-success-title": "Settings saved",
            "save-error-title": "Error saving settings",
        },
        content: {
            title: "Vehículo de contacto",
            "generate-message": "Generar mensaje",
            "message-maintenance":
                "Dear {contactName},\n\nYour {vehicleName} is due for some maintenance. Please contact {manufacturer} for an appointment.\n\nRegards,\n{agentName}",
            "message-generated": "Message generated",
            vehicle: {
                name: "Name",
                model: "Model",
                class: "Starship Class",
                manufacturer: "Manufacturer",
                "cost-in-credits": "Cost",
                length: "Length",
                "max-speed": "Max. speed",
                crew: "Crew",
                passengers: "Passengers",
                "cargo-capacity": "Cargo",
                "hyperdrive-rating": "Hyperdrive Rating",
                mglt: "Megalight per hour",
            },
        },
    },
};
